/*
  Arduino KY-036 Dokunma Sensörü Modülü

  Arduino 37 parça sensör setinin bir parçası olan Dokunma Sensörü modülünün örnek
  sketch'idir. Bir dokunma algılandığında Arduino üzerindeki LED'i yakar ve
  ayrıca bu durumu ve analog ölçümü Seri Port Ekranı üzerinde görüntüler.

  Setin diğer parçalarının açıklama ve örnek kodlarına
  web sitemizden ulaşabilirsiniz.

  Oluşturma: 10 Ekim 2021 / Mete Hoca

  https://www.metehoca.com/
*/

int led = 13;    // Arduino'nun dahili LED'i
int dijital = 2; // (D0) Dijital bağlantı
int analog = A0; // (A0) Analog bağlantı
                 // + ve G pinlerini Arduino üzerinde 5V(+) ve GND(G)'ye bağlamalıyız
  
void setup() {
  pinMode(led, OUTPUT);                 // LED'i çıkış olarak ayarlıyoruz
  pinMode(dijital, INPUT);              // Dijital bağlantıyı giriş olarak ayarlıyoruz
  pinMode(analog, INPUT);               // Analog bağlantıyı giriş olarak ayarlıyoruz
  Serial.begin(9600);                   // Seri Port Ekranı'nı doğru ayarlamayı unutmayın
}
  
void loop() {
  Serial.print("Dokunma: ");
  if (digitalRead(dijital) == 1) {      // Dokunma algılanırsa dijital bağlantı aktif olur
    Serial.print("VAR!");               // Dijital bağlantı temas algılandığını bildirdi
    digitalWrite(led, HIGH);            // Biz de bu algılamayı LED'i yakarak görüntüleriz
  }
  else {
    Serial.print("yok.");               // Temas algılanmadığını bildirelim
    digitalWrite(led, LOW);             // Temas algılanmadığı zaman LED söndürülür
  }
  Serial.print(" | Analog değer: ");    // Analog değer 0-1023 arasında okunur
  Serial.println(analogRead(analog));   // Okunan analog değer görüntülenir
  delay(100);                           // Sonraki algılama öncesinde biraz bekleyelim
}
